Mailinglist Archive: opensuse-support (95 mails)

< Previous Next >
Re: [opensuse-support] updatedb now fails for regular user with local db
* Ralph <suselist@xxxxxxxxxxxx> [11-26-18 04:51]:
On Sun, 25 Nov 2018 20:01:33 -0500
Patrick Shanahan <paka@xxxxxxxxxxxx> wrote:

* Ralph <suselist@xxxxxxxxxxxx> [11-25-18 19:50]:
[os Leap 15, xfce]

I have a private mlocate database in my /home. Since a few days ago
attempting to update the db now fails for a command such as:

"updatedb -l 0 -o /home/rsil/Downloads/rsildb -U /home/rsil"

Message is: "updatedb: can not open a temporary file for
`/home/rsil/Downloads/rsildb"

There was an update to mlocate on 17 Nov, perhaps the culprit, or
not. Whatever. How do I get back the ability to update my own
database?

google for the error msg, iirc was incorrect perms for a directory

Did that. My google-fu is really weak but it seems the Nov 17 update to
mlocate was to fix a problem with mlocate/updatedb permissions related
to apparmor, and since that date is when my problems likely began then
I assume that the "fix" broke something. That Nov 17 "fix" was:

https://bugzilla.opensuse.org/show_bug.cgi?id=1089594

I'm having trouble following the logic of that bug chat as my knowledge
of apparmor is slim to none, especially at 3:30 am here. What's it say
there? 8-/

you are running updatedb as root?

do you have:
# ls -la /var/lib/mlocate
drwxrwxr-x 2 nobody root 4096 Nov 25 18:00 ./
drwxr-xr-x 58 root root 4096 Nov 22 22:42 ../
-rw-r--r-- 1 nobody nobody 110210048 Nov 25 18:00 mlocate.db

if not, as root
# chown nobody:nobody /var/lib/mlocate/
# chmod 775 /var/lib/mlocate


from google
https://ubuntuforums.org/showthread.php?t=843389

If that is not the problem, the last comment in the bug report,
https://bugzilla.opensuse.org/show_bug.cgi?id=1089594

openSUSE-RU-2018:3779-1: An update that has one recommended fix can now
be installed.

Category: recommended (moderate)
Bug References: 1089594
CVE References:
Sources used:
openSUSE Leap 15.0 (src): mlocate-0.26-lp150.3.3.1

are you using at least that version of mlocate?

if not you merely need to update.
available:

https://download.opensuse.org/update/leap/15.0/oss/x86_64/mlocate-0.26-lp150.2.7_lp150.3.3.1.x86_64.drpm

https://download.opensuse.org/repositories/server:/search/openSUSE_Leap_15.0/x86_64/mlocate-0.26-lp150.88.1.x86_64.rpm

--
(paka)Patrick Shanahan Plainfield, Indiana, USA @ptilopteri
http://en.opensuse.org openSUSE Community Member facebook/ptilopteri
Registered Linux User #207535 @ http://linuxcounter.net
Photos: http://wahoo.no-ip.org/piwigo paka @ IRCnet freenode
--
To unsubscribe, e-mail: opensuse-support+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-support+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups